// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class GraveWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new GraveWAddonDeed();
			}
		}

		[ Constructable ]
		public GraveWAddon()
		{
			AddComponent( new AddonComponent( 3808 ), 1, 0, 0 );
			AddComponent( new AddonComponent( 3810 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 4455 ), -1, 0, 0 );
			AddonComponent ac = null;

		}

		public GraveWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class GraveWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new GraveWAddon();
			}
		}

		[Constructable]
		public GraveWAddonDeed()
		{
			Name = "GraveW";
Hue = 2406;
		}

		public GraveWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}